Name:		rst2pdf 
Version:	0.93
Release:	%mkrel 8

Summary:	Tool for transforming reStructuredText to PDF
License:	MIT
Group:		Publishing
URL:		http://rst2pdf.ralsina.com.ar/
Source:		http://rst2pdf.googlecode.com/files/%{name}-%{version}.tar.gz
# Patch from Fedora to fix bz #842800
Patch0:		rst2pdf-bz842800.patch

BuildArch:	noarch

BuildRequires:	python-devel 
BuildRequires:	python-setuptools 
BuildRequires:	python-docutils

Requires:	python-reportlab
Requires:	python-simplejson
Requires:	python-pygments
Requires:	python-docutils

%description
The usual way of creating PDF files from reStructuredText is by going 
through LaTeX. This tool provides an alternative by producing PDF
directly using the ReportLab library.

%prep
%setup -q
%patch0 -p1
sed -i 's/\r//' Contributors.txt

%build
%{__python} setup.py build  
cd doc
rst2man rst2pdf.txt rst2pdf.1

%install
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --skip-build --root %{buildroot} 
# Removing shebang from Python library
for lib in $(find %{buildroot}%{python_sitelib}/rst2pdf -name "*.py"); do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 644 doc/rst2pdf.1 %{buildroot}/%{_mandir}/man1

%files
%doc CHANGES.txt Contributors.txt LICENSE.txt README.txt
%{_bindir}/%{name}
%{python_sitelib}/%{name}*
%{_mandir}/man1/*



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.93-8.mga5
+ Revision: 750571
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.93-7.mga5
+ Revision: 730096
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.93-6.mga5
+ Revision: 688724
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.93-4.mga4
+ Revision: 544438
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.93-3.mga4
+ Revision: 499837
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 0.93-2.mga3
+ Revision: 380524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 0.93-1.mga3
+ Revision: 334162
- Update to 0.93

* Sat Oct 20 2012 philippem <philippem> 0.92-1.mga3
+ Revision: 308382
- New upstream

* Tue Mar 06 2012 philippem <philippem> 0.91-1.mga2
+ Revision: 220071
- Update to 0.91.

* Thu Mar 31 2011 philippem <philippem> 0.16-1.mga1
+ Revision: 79365
- imported package rst2pdf

